Bug 1306541 - osad failover does not work
osad failover does not work
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
2.4
All Linux
high Severity high
: ---
: ---
Assigned To: Gennadii Altukhov
Red Hat Satellite QA List
: EasyFix, Patch
Depends On: 1217121
Blocks: sat570-triage space27
  Show dependency treegraph
 
Reported: 2016-02-11 04:04 EST by Gennadii Altukhov
Modified: 2017-09-28 14:09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1217121
Environment:
Last Closed: 2016-06-16 04:06:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gennadii Altukhov 2016-02-11 04:04:01 EST
Description of problem:
osad failover does not work.

Version-Release number of selected component (if applicable):
osad-5.11.44

How reproducible:
Always

Steps to Reproduce:
1. Register a client against a Spacewalk Proxy server.
2. Configure multiple Spacewalk Proxies in 'serverURL' option in file /etc/sysconfig/rhn/up2date :

   serverURL=https://proxy1.usersys.redhat.com/XMLRPC;https://proxy2.usersys.redhat.com/XMLRPC;https://proxy3.usersys.redhat.com/XMLRPC;

3. Set "enable_failover = 1" in file /etc/sysconfig/rhn/osad.conf
4. Stop the Spacewalk Proxy services in the first Proxy server listed in 'serverURL' by running "rhn-proxy stop" in that Spacewalk Proxy.
5. Start 'osad' service.

Actual results:
'osad' tries to connect to the first Spacewalk Proxy defined in 'serverURL' only.
After failing, 'osad' does not try to connect to any other Spacewalk Proxy server listed in 'serverURL' nor to the Spacewalk Server.
So 'osad' tries to connect to the first server in 'serverURL' only despite failover mode being enabled.

Expected results:
After failing, 'osad' iterates through the list of servers in 'serverURL' until it successfully connects to one of them:
- osad tries to connect to proxy1.
- if that fails, osad tries to connect to proxy2.
- if that fails, osad tries to connect to proxy3.
- if that fails, osad tries to connect to Spacewalk Server.
If 'osad' is not connected to the first server in 'serverURL' and such server becomes available, osad reconnects to it within 5 minutes.
Comment 1 Gennadii Altukhov 2016-02-11 04:06:23 EST
Taking...
Comment 2 Gennadii Altukhov 2016-02-12 09:46:37 EST
spacewalk.git:

2e4323f182af19a96021815ea832afcdee8bca33
Comment 3 Tomáš Kašpárek 2016-06-16 04:06:50 EDT
Spacewalk 2.5 was released.
Comment 4 Eric Herget 2017-09-28 14:09:59 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.